<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>First Vue</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <script src="https://unpkg.com/vue@3"></script>
</head>

<body>

    <div id="app" class="w-50 mx-auto mt-5">


        <input type="text" class="form-control" placeholder="search a person..." @input="fetchSearch()"
            v-model="search">
        <div class="list-group">
            <a :href="'/person/'+item.id" class="list-group-item list-group-item-action" 
                    v-for="item in results">
                {{item.name}} {{item.firstname}}
            </a>
        </div>


    </div>


    <script>
        Vue.createApp({
            data() {
                return {
                    search: '',
                    results: []
                }
            },
            methods: {
                async fetchSearch() {
                    if (this.search.length > 2) {
                        const reponse = await fetch('/api/person?search=' + this.search);
                        this.results = await reponse.json();
                    } else {
                        this.results = [];
                    }
                }
            }
        }).mount('#app')
    </script>



</body>

</html>